petsc-3.7.1 2016-05-15
Report Typos and Errors

# PCFactorSetColumnPivot

Determines when column pivoting is done during matrix factorization. For PETSc dense matrices column pivoting is always done, for PETSc sparse matrices it is never done. For the MATLAB and SuperLU factorization this is used.

### Synopsis

    #include "petscpc.h"
    PetscErrorCode  PCFactorSetColumnPivot(PC pc,PetscReal dtcol)

Logically Collective on PC Many br

### Input Parameters

| pc | - the preconditioner context Many br
| dtcol | - 0.0 implies no pivoting, 1.0 complete pivoting (slower, requires more memory but more stable) Many br

### Options Database Key

-pc_factor_pivoting <dtcol> - Many br Many br

### See Also

PCILUSetMatOrdering(), PCFactorSetPivotInBlocks()

Level:intermediate
Location:src/ksp/pc/impls/factor/factor.c
Index of all PC routines
Table of Contents for all manual pages
Index of all manual pages